Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation
<DefaultClassOptions()> _
<NavigationItem("FinancialStock")> _
Public Class ShipmentOption
    Inherits BaseObject
    Private _ShortName As String
    Private _Description As String
    Private _ShortName_GB As String
    Private _Description_GB As String
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Property ShortName() As String
        Get
            Return _ShortName
        End Get
        Set(ByVal value As String)
            SetPropertyValue("ShortName", _ShortName, value)
        End Set
    End Property
    <Size(-1)> _
    Property Description() As String
        Get
            Return _Description
        End Get
        Set(ByVal value As String)
            SetPropertyValue("Description", _Description, value)
        End Set
    End Property
    Property ShortName_GB As String
        Get
            Return _ShortName_GB
        End Get
        Set(value As String)
            SetPropertyValue("ShortName_GB", _ShortName_GB, value)
        End Set
    End Property
    <Size(-1)> _
    Property Description_GB() As String
        Get
            Return _Description_GB
        End Get
        Set(ByVal value As String)
            SetPropertyValue("Description_GB", _Description_GB, value)
        End Set
    End Property
End Class 'Szállítási mód

